java.rmi

## Class UnmarshalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.rmi.RemoteException
        - - java.rmi.UnmarshalException

All Implemented Interfaces:
  Serializable

    public class UnmarshalException
    extends RemoteException

An `UnmarshalException` can be thrown while unmarshalling the parameters or results of a remote method call if any of the following conditions occur:

- if an exception occurs while unmarshalling the call header
- if the protocol for the return value is invalid
- if a `java.io.IOException` occurs unmarshalling parameters (on the server side) or the return value (on the client side).
- if a `java.lang.ClassNotFoundException` occurs during unmarshalling parameters or return values
- if no skeleton can be loaded on the server-side; note that skeletons are required in the 1.1 stub protocol, but not in the 1.2 stub protocol.
- if the method hash is invalid (i.e., missing method).
- if there is a failure to create a remote reference object for a remote object's stub when it is unmarshalled.

Since:
  JDK1.1
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.rmi.RemoteException

`detail`

### Constructor Summary

Constructors
Constructor and Description
`UnmarshalException(String s)` Constructs an `UnmarshalException` with the specified detail message.
`UnmarshalException(String s, Exception ex)` Constructs an `UnmarshalException` with the specified detail message and nested exception.

### Method Summary

### Methods inherited from class java.rmi.RemoteException

`getCause, getMessage`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnmarshalException

    public UnmarshalException(String s)

Constructs an `UnmarshalException` with the specified detail message.

Parameters:
  `s` - the detail message
Since:
  JDK1.1

#### UnmarshalException

    public UnmarshalException(String s,
                      Exception ex)

Constructs an `UnmarshalException` with the specified detail message and nested exception.

Parameters:
  `s` - the detail message
  `ex` - the nested exception
Since:
  JDK1.1

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.